import { Component } from '@angular/core';
import {
  FormControl,
  FormGroup,
  ReactiveFormsModule,
  Validators,
} from '@angular/forms';

@Component({
  selector: 'app-register',
  imports: [ReactiveFormsModule],
  templateUrl: './register.html',
  styleUrl: './register.css',
})
export class Register {
  public registrationForm!: FormGroup;

  ngOnInit() {
    this.registrationForm = new FormGroup({
      email: new FormControl('', [Validators.required, Validators.email]),
      username: new FormControl('', Validators.required),
      password: new FormControl('', Validators.required),
      address: new FormGroup({
        street1: new FormControl('', Validators.required),
        street2: new FormControl(''),
        city: new FormControl('', Validators.required),
        state: new FormControl('', Validators.required),
        zip: new FormControl('', [Validators.required]),
        country: new FormControl('', Validators.required),
      }),
    });
  }

  submit() {
    if (!this.registrationForm.valid) {
      for (const control in this.registrationForm.controls) {
        console.log(this.registrationForm.controls[control].errors);
      }
      return;
    }
  }
}
